- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR > Class Template Reference

`#include <Upgradeable_Context_Impl_T.h>`

Inheritance diagram for CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >:

[legend]
Collaboration diagram for CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >:

[legend]
List of all members.

## Public Member Functions
| Upgradeable_Context_Impl (Components::CCMHome_ptr home, Session_Container *c, SVNT *sv)
virtual | ~Upgradeable_Context_Impl (void)
## Protected Types
typedef Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR > | session_context
## Protected Attributes
SVNT * | servant_
COMP_VAR | component_
## Private Member Functions
| Upgradeable_Context_Impl (void)
| Not to be used.

### template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
class CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >

## Member Typedef Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>

typedef Context_Impl<BASE_CTX, SVNT, COMP, COMP_VAR> CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::session_context`[protected]`

## Constructor & Destructor Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>

CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::Upgradeable_Context_Impl | ( | Components::CCMHome_ptr | home,
|  | Session_Container * | c,
|  | SVNT * | sv |
| ) |  |  |

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>

CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::~Upgradeable_Context_Impl | ( | void |  | ) | `[virtual]`

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>

CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::Upgradeable_Context_Impl | ( | void |  | ) | `[private]`

Not to be used.

## Member Data Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>

COMP_VAR CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::component_`[protected]`

Reimplemented from CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >.

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>

SVNT* CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::servant_`[protected]`

Reimplemented from CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >.

The documentation for this class was generated from the following files:

- Upgradeable_Context_Impl_T.h
- Upgradeable_Context_Impl_T.cpp